Lead Enhancement (Lead Generation)
POST /v1/LeadGeneration/LeadEnhancement
POST /v1/LeadGeneration/LeadEnhancement
Parameters
| Name | In | Type | Required | Description |
traceId | query | string | optional | |
Request body
optional (8)
| Name | Type | Required | Description |
|---|
firstName | string | optional | |
|---|
middleName | string | optional | |
|---|
lastName | string | optional | |
|---|
fullAddress | string | optional | |
|---|
addressLine1 | string | optional | |
|---|
city | string | optional | |
|---|
state | string | optional | |
|---|
postalCode | string | optional | |
|---|
Code sample language
curl -X POST "{{API.SANDBOX_BASE_URL}}/LeadGeneration/LeadEnhancement" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"firstName": "string",
"middleName": "string",
"lastName": "string",
"fullAddress": "string",
"addressLine1": "string",
"city": "string",
"state": "string",
"postalCode": "string"
}'
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var content = new StringContent(@"{
""firstName"": ""string"",
""middleName"": ""string"",
""lastName"": ""string"",
""fullAddress"": ""string"",
""addressLine1"": ""string"",
""city"": ""string"",
""state"": ""string"",
""postalCode"": ""string""
}", System.Text.Encoding.UTF8, "application/json");
var response = await client.PostAsync("{{API.SANDBOX_BASE_URL}}/LeadGeneration/LeadEnhancement", content);
var result = await response.Content.ReadAsStringAsync();
import requests
headers = {"x-api-key": "YOUR_API_KEY"}
payload = {
"firstName": "string",
"middleName": "string",
"lastName": "string",
"fullAddress": "string",
"addressLine1": "string",
"city": "string",
"state": "string",
"postalCode": "string"
}
response = requests.post("{{API.SANDBOX_BASE_URL}}/LeadGeneration/LeadEnhancement", headers=headers, json=payload)
print(response.json())
const response = await fetch("{{API.SANDBOX_BASE_URL}}/LeadGeneration/LeadEnhancement", {
method: "POST",
headers: { "x-api-key": "YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"firstName": "string",
"middleName": "string",
"lastName": "string",
"fullAddress": "string",
"addressLine1": "string",
"city": "string",
"state": "string",
"postalCode": "string"
})
});
const result = await response.json();
Responses